
Figure - Bug #116858
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111068 (New): AF-V3.0--Launcher/SystemUI-定制屏保

【AF】【EVT】【屏保】设置中关闭屏保后，退出设置，在控制中心点击屏保模式，设置中的屏保设置未被
打开
2023-03-10 15:14 - CD TEST-方永红

Status: CLOSED Start date: 2023-03-10

Priority: Normal Due date: 2023-03-14

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0081.C101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101(X101).202303150042

Reproducibility: Every time Fixed Version: 2023-03-14

Test Type: ST Root cause: 退出settings时会注销observer，不再监听开关的状态

Description

【前提条件】

1、设备已开机

【测试步骤】

1、关闭设置中的屏保

2、退出设置

3、下划打开控制中

4、点击屏保模式

5、唤醒屏保

6、查看设置中的屏保设置

【预期结果】

4、设备进入屏保

6、设置中的屏保设置随之打开

【实际结果】

4、设备进入屏保

6、设置中的屏保仍然处于关闭状态

History

#1 - 2023-03-10 18:16 - CD FW-程天颖

- Status changed from New to ASSIGNED

#2 - 2023-03-13 11:40 - CD FW-程天颖

- Root cause set to 退出settings时会注销observer，不再监听开关的状态

■ Current conclusion

bug已解决，代码已提交

■ My analysis

退出settings时会注销observer，不再监听开关的状态

解决方案：更改observer的注册与生成周期

■ Next action

2025-07-04 1/2



代码入库

#3 - 2023-03-13 20:59 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

187117 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:Settings: Dream Switch status can`t sync1.Dream Switch status can`t sync when Settings run in the background,change observer unregister timeTC-RID:

1201-0201806IssueID: TS-R-BUG-116858Change-Id: I2f504710527fab5776c1dd22c6530daef945a1f2

#4 - 2023-03-14 14:22 - CD FW-程天颖

- Due date set to 2023-03-14

- Status changed from ASSIGNED to RESOLVED

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-03-14

■ Current conclusion

bug已解决，代码入库

■ My analysis

退出settings时会注销observer，不再监听开关的状态

解决方案：更改observer的注册与生成周期

■ Submit UIL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/187117

#5 - 2023-03-14 14:23 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to CD TEST-方永红

- % Done changed from 0 to 100

#6 - 2023-03-16 09:59 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101(X101).202303150042

3.16

验证通过

#7 - 2023-03-16 09:59 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-03-10 15-07-28.mp4 10.1 MB 2023-03-10 CD TEST-方永红
